Bug 501460 - Error msg from ecryptfs-utils does not reflect reality when adding key to "full" keyring
Error msg from ecryptfs-utils does not reflect reality when adding key to "fu...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ecryptfs-utils (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 05:27 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:57:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sent upstream (1.17 KB, patch)
2009-05-19 07:01 EDT, Michal Hlavinka
no flags Details | Diff

  None (edit)
Description Michal Nowak 2009-05-19 05:27:54 EDT
Description of problem:

[root@hp-ml370g4-01 openssl-keyfile]# mount.ecryptfs secret/ secret/ -o "key=openssl:openssl_keyfile=mykey.pem:openssl_passwd_file=passfile.txt,ecryptfs_cipher=aes,ecryptfs_key_bytes=16,verbosity=0"
Error attempting to evaluate mount options: [-1] Operation not permitted
Check your system logs for details on why this happened.
Try updating your ecryptfs-utils package, and/or
submit a bug report on https://launchpad.net/ecryptfs

Version-Release number of selected component (if applicable):

ecryptfs-utils-75-2.el5

How reproducible:

always

Steps to Reproduce:
1. Fill the keyring with a bunch of (big) keys
2. mount.ecryptfs with openssl key, when the key is itself bigger than the space in keyring left, the mount operation end with not-that-sane error msg
  
Actual results:

"Error attempting to evaluate mount options: [-1] Operation not permitted"

Expected results:

"Keyring full (...)" at least, some advice on enlarging the keyring space would be useful, if possible.

Additional info:

From syslog:

May 19 04:52:18 hp-ml370g4-01 mount.ecryptfs: tf_ssl_passwd_file: Called 
May 19 04:53:31 hp-ml370g4-01 mount.ecryptfs: Error adding key with sig [51863cfb6dda8006]; rc = [-1] 
May 19 04:53:31 hp-ml370g4-01 mount.ecryptfs: Error attempting to add key to keyring for key module [openssl]; rc = [-1] 
May 19 04:53:31 hp-ml370g4-01 mount.ecryptfs: Error processing OpenSSL key; rc = [-1]
May 19 04:53:31 hp-ml370g4-01 mount.ecryptfs: tf_ssl_passwd_file: Exiting 

[root@hp-ml370g4-01 openssl-keyfile]# keyctl list @u
12 keys in keyring:
789384005: --alswrv     0     0 user: 1848e1d7b8a187fc
535768513: --alswrv     0     0 user: 10e2d4b85b278744
407029927: --alswrv     0     0 user: 5bef5c634e503a47
501573237: --alswrv     0     0 user: decea574f22a106c
574035275: --alswrv     0     0 user: 26d2955806590f9d
641097212: --alswrv     0     0 user: 8f9887d2339cafb0
1067747759: --alswrv     0     0 user: c831d60de57d1965
185073213: --alswrv     0     0 user: 777cf7f837ad29ba
725331597: --alswrv     0     0 user: 6bd474a8e70ee04c
130662748: --alswrv     0     0 user: add2baffc25aba9f
609639440: --alswrv     0     0 user: 4a14eb8af0dc847e
742908339: --alswrv     0     0 user: mykey
Comment 1 Michal Hlavinka 2009-05-19 07:01:33 EDT
Created attachment 344602 [details]
sent upstream
Comment 7 errata-xmlrpc 2009-09-02 05:57:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1307.html

Note You need to log in before you can comment on or make changes to this bug.